<!-- This file was generated by pybib2web, version 0.7.dev0: https://gitlab.com/sosy-lab/software/pybib2web/ -->
<input type="checkbox" id="show-compact">
<label for="show-compact">Compact view</label>
<h2 id="publications">Publications of year 2021</h2>
<nav class="publication-navigation">(<a href="../All/index.html">Show all</a> &ndash; <a href="../index.html">Index</a>)</nav>

<a href="../Category/conferences.html"><h3>Articles in conference or workshop proceedings</h3></a>

<ol class="list-publications" start="1">

<li class="bibentry" id="ATVA21">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>,
    <span class="author"><a href="../Author/FRIEDBERGER-K.html"><span class="firstname">Karlheinz</span> <span class="lastname">Friedberger</span></a></span>, and
    <span class="author"><a href="../Author/HOLZNER-S.html"><span class="firstname">Stephan</span> <span class="lastname">Holzner</span></a></span>.</span>
    <span class="publication-title">PJBDD: A BDD Library for Java and Multi-Threading.</span>
    <span class="howpublished">
      In <em class="booktitle">  Proceedings of the 19th International Symposium on
        Automated Technology for Verification and Analysis
        (ATVA21 2021, Gold Coast (Online), Australia, October 18-22)</em>,
      <span class="publication-date">  <span class="year">2021</span></span>.
    </span>
    <span class="publisher">Springer.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-030-88885-5_10" data-doi="10.1007/978-3-030-88885-5_10" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-030-88885-5_10</a>
  </span>
  <a class="bibentry-link" href="#ATVA21"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/PJBDD.html">PJBDD</a>,
        <a class="keyword" href="../Keyword/BDD.html">BDD</a>
      </span>
      <span class="funding-list">Funding:
        <a class="funding" href="../Funding/DFG-CONVEY.html">DFG-CONVEY</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-030-88885-5_10" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2021-ATVA.PJBDD_A_BDD_Library_for_Java_and_Multi_Threading.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
    </span>
    <details  class="artifact-list">
      <summary>Artifact(s)</summary>
      <div>
        <ol>
          <li class="artifact"><a href="https://doi.org/10.5281/zenodo.5070156">doi:10.5281/zenodo.5070156</a></li>
        </ol>
      </div>
    </details>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        PJBDD is a flexible and modular Java library for
        binary decision diagrams (BDD),
        which are a well-known data structure for performing efficient
        operations on compressed sets and relations.
        BDDs have practical applications in composing and analyzing
        boolean functions, e.g., for computer-aided verification.
        Despite its importance, there are only a few BDD libraries available.
        PJBDD is based on a slim object-oriented design,
        supports multi-threaded execution of the BDD operations (internal)
        as well as thread-safe access to the operations from applications (external).
        It provides automatic reference counting and garbage collection.
        The modular design of the library allows us to provide a uniform API
        for binary decision diagrams, zero-suppressed decision diagrams,
        and also chained decision diagrams.
        This paper includes a compact evaluation of PJBDD,
        to demonstrate that concurrent operations on large BDDs scale well and
        parallelize nicely on multi-core CPUs.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{ATVA21,
        author = {Dirk Beyer and Karlheinz Friedberger and Stephan Holzner},
        title = {PJBDD: A BDD Library for Java and Multi-Threading},
        booktitle = {Proceedings of the 19th International Symposium on Automated Technology for Verification and Analysis (ATVA21~2021, Gold Coast (Online), Australia, October 18-22)},
        year = {2021},
        publisher = {Springer},
        doi = {10.1007/978-3-030-88885-5_10},
        pdf = {https://www.sosy-lab.org/research/pub/2021-ATVA.PJBDD_A_BDD_Library_for_Java_and_Multi_Threading.pdf},
        abstract = {PJBDD is a flexible and modular Java library for binary decision diagrams (BDD), which are a well-known data structure for performing efficient operations on compressed sets and relations. BDDs have practical applications in composing and analyzing boolean functions, e.g., for computer-aided verification. Despite its importance, there are only a few BDD libraries available. PJBDD is based on a slim object-oriented design, supports multi-threaded execution of the BDD operations (internal) as well as thread-safe access to the operations from applications (external). It provides automatic reference counting and garbage collection. The modular design of the library allows us to provide a uniform API for binary decision diagrams, zero-suppressed decision diagrams, and also chained decision diagrams. This paper includes a compact evaluation of PJBDD, to demonstrate that concurrent operations on large BDDs scale well and parallelize nicely on multi-core CPUs.},
        keyword = {PJBDD,BDD},
        artifact = {10.5281/zenodo.5070156},
        funding = {DFG-CONVEY},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="CAV21">
  <span class="main-info">
    <span class="author-list"><span class="author"><span class="firstname">Daniel</span> <span class="lastname">Baier</span></span>,
    <span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>, and
    <span class="author"><a href="../Author/FRIEDBERGER-K.html"><span class="firstname">Karlheinz</span> <span class="lastname">Friedberger</span></a></span>.</span>
    <span class="publication-title">JavaSMT 3: Interacting with SMT Solvers in Java.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">A.</span> <span class="lastname">Silva</span></span> and
      <span class="editor"><span class="firstname">K. R. M.</span> <span class="lastname">Leino</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 33rd International Conference on
        Computer-Aided Verification
        (CAV 2021, Los Angeles, California, USA, July 18-24)</em>,
      <span class="series">LNCS 12760</span>,
      <span class="pages">pages 1-13</span>,
      <span class="publication-date">  <span class="year">2021</span></span>.
    </span>
    <span class="publisher">Springer.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-030-81688-9_9" data-doi="10.1007/978-3-030-81688-9_9" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-030-81688-9_9</a>
  </span>
  <a class="bibentry-link" href="#CAV21"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/JAVASMT.html">JavaSMT</a>
      </span>
      <span class="funding-list">Funding:
        <a class="funding" href="../Funding/DFG-CONVEY.html">DFG-CONVEY</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-030-81688-9_9" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://link.springer.com/content/pdf/10.1007/978-3-030-81688-9_9.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="material-link" href="https://github.com/sosy-lab/java-smt"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{CAV21,
        author = {Daniel Baier and Dirk Beyer and Karlheinz Friedberger},
        title = {JavaSMT 3: Interacting with SMT Solvers in Java},
        booktitle = {Proceedings of the 33rd International Conference on Computer-Aided Verification (CAV~2021, Los Angeles, California, USA, July 18-24)},
        editor = {A.~Silva and K.~R.~M.~Leino},
        pages = {1-13},
        year = {2021},
        series = {LNCS~12760},
        publisher = {Springer},
        doi = {10.1007/978-3-030-81688-9_9},
        sha256 = {6c0ff13c5dd8596e19be4176eefaafe5853d60a082b78ebd3f5e64381fdcb100},
        url = {https://github.com/sosy-lab/java-smt},
        abstract = {},
        keyword = {JavaSMT},
        _pdf = {https://www.sosy-lab.org/research/pub/2021-CAV.JavaSMT_3_Interacting_with_SMT_Solvers_in_Java.pdf},
        funding = {DFG-CONVEY},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="TACAS21">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>.</span>
    <span class="publication-title">Software Verification: 10th Comparative Evaluation (SV-COMP 2021).</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">J. F.</span> <span class="lastname">Groote</span></span> and
      <span class="editor"><span class="firstname">K. G.</span> <span class="lastname">Larsen</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 27th International Conference on
        Tools and Algorithms for the Construction and Analysis of Systems
        (TACAS 2021, Luxembourg, Luxembourg, March 27 - April 1), part 2</em>,
      <span class="series">LNCS 12652</span>,
      <span class="pages">pages 401-422</span>,
      <span class="publication-date">  <span class="year">2021</span></span>.
    </span>
    <span class="publisher">Springer.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-030-72013-1_24" data-doi="10.1007/978-3-030-72013-1_24" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-030-72013-1_24</a>
  </span>
  <a class="bibentry-link" href="#TACAS21"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/COMPETITION-ON-SOFTWARE-VERIFICATION-SV-COMP.html">Competition on Software Verification (SV-COMP)</a>,
        <a class="keyword" href="../Keyword/COMPETITION-ON-SOFTWARE-VERIFICATION-SV-COMP-REPORT.html">Competition on Software Verification (SV-COMP Report)</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>
      </span>
      <span class="funding-list">Funding:
        <a class="funding" href="../Funding/DFG-CONVEY.html">DFG-CONVEY</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-030-72013-1_24" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://link.springer.com/content/pdf/10.1007/978-3-030-72013-1_24.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="material-link" href="https://sv-comp.sosy-lab.org/2021/"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{TACAS21,
        author = {Dirk Beyer},
        title = {Software Verification: 10th Comparative Evaluation ({SV-COMP 2021})},
        booktitle = {Proceedings of the 27th International Conference on Tools and Algorithms for the Construction and Analysis of Systems (TACAS~2021, Luxembourg, Luxembourg, March 27 - April 1), part 2},
        editor = {J.~F.~Groote and K.~G.~Larsen},
        pages = {401-422},
        year = {2021},
        series = {LNCS~12652},
        publisher = {Springer},
        doi = {10.1007/978-3-030-72013-1_24},
        sha256 = {d78bb586715b0650702665510258d8e53a7bd16ae2a3cc4568b5986527b29051},
        url = {https://sv-comp.sosy-lab.org/2021/},
        abstract = {},
        keyword = {Competition on Software Verification (SV-COMP),Competition on Software Verification (SV-COMP Report),Software Model Checking},
        funding = {DFG-CONVEY},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="FASE21">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>.</span>
    <span class="publication-title">Status Report on Software Testing: Test-Comp 2021.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">E.</span> <span class="lastname">Guerra</span></span> and
      <span class="editor"><span class="firstname">M.</span> <span class="lastname">Stoelinga</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 24th International Conference on
        Fundamental Approaches to Software Engineering
        (FASE 2021, Luxembourg, Luxembourg, March 27 - April 1)</em>,
      <span class="series">LNCS 12649</span>,
      <span class="pages">pages 341-357</span>,
      <span class="publication-date">  <span class="year">2021</span></span>.
    </span>
    <span class="publisher">Springer.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-030-71500-7_17" data-doi="10.1007/978-3-030-71500-7_17" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-030-71500-7_17</a>
  </span>
  <a class="bibentry-link" href="#FASE21"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/COMPETITION-ON-SOFTWARE-TESTING-TEST-COMP.html">Competition on Software Testing (Test-Comp)</a>,
        <a class="keyword" href="../Keyword/COMPETITION-ON-SOFTWARE-TESTING-TEST-COMP-REPORT.html">Competition on Software Testing (Test-Comp Report)</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-TESTING.html">Software Testing</a>
      </span>
      <span class="funding-list">Funding:
        <a class="funding" href="../Funding/DFG-COOP.html">DFG-COOP</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-030-71500-7_17" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://link.springer.com/content/pdf/10.1007/978-3-030-71500-7_17.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="material-link" href="https://test-comp.sosy-lab.org/2021/"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        This report describes Test-Comp 2021, the 3rd edition of the Competition on Software Testing. The competition is a series of annual comparative evaluations of fully automatic software test generators for C programs. The competition has a strong focus on reproducibility of its results and its main goal is to provide an overview of the current state of the art in the area of automatic test-generation. The competition was based on 3 173 test-generation tasks for C programs. Each test-generation task consisted of a program and a test specification (error coverage, branch coverage). Test-Comp 2021 had 11 participating test generators from 6 countries.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{FASE21,
        author = {Dirk Beyer},
        title = {Status Report on Software Testing: {Test-Comp 2021}},
        booktitle = {Proceedings of the 24th International Conference on Fundamental Approaches to Software Engineering (FASE~2021, Luxembourg, Luxembourg, March 27 - April 1)},
        editor = {E.~Guerra and M.~Stoelinga},
        pages = {341-357},
        year = {2021},
        series = {LNCS~12649},
        publisher = {Springer},
        isbn = {978-3-030-71500-7},
        doi = {10.1007/978-3-030-71500-7_17},
        sha256 = {113b44c5be9f6d773ebd1a5cad91e8dc66f06d7af0b8c648c9dcea8d6bbc7e3d},
        url = {https://test-comp.sosy-lab.org/2021/},
        abstract = {This report describes Test-Comp 2021, the 3rd edition of the Competition on Software Testing. The competition is a series of annual comparative evaluations of fully automatic software test generators for C programs. The competition has a strong focus on reproducibility of its results and its main goal is to provide an overview of the current state of the art in the area of automatic test-generation. The competition was based on 3 173 test-generation tasks for C programs. Each test-generation task consisted of a program and a test specification (error coverage, branch coverage). Test-Comp 2021 had 11 participating test generators from 6 countries.},
        keyword = {Competition on Software Testing (Test-Comp),Competition on Software Testing (Test-Comp Report),Software Testing},
        funding = {DFG-COOP},
        }
        
      </div>
    </details>
  </span>
</li>

</ol>
 <section id="disclaimer"> <h4>Disclaimer:</h4> <p class="disclaimer"> This material is presented to ensure timely dissemination of scholarly and technical work. Copyright and all rights therein are retained by authors or by other copyright holders. All person copying this information are expected to adhere to the terms and constraints invoked by each author's copyright. In most cases, these works may not be reposted without the explicit permission of the copyright holder. </p> </section> <footer id="generator">This file was generated by <a href="https://gitlab.com/sosy-lab/software/pybib2web/">pybib2web</a>, version 0.7.dev0</footer>